Skip to content
Proud to collaborate with Microsoft for Startups

docusign.e-note-configurations.put-e-note-configuration ​

Updates configuration information for the eNote eOriginal integration.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
apikeystringNo——
connectconfiguredstringNo—When false, the user must configure Connect and eOriginal for the integration to work.
enoteconfiguredstringNo—When false, the user must configure eNote for the feature to work. Note: In the account settings, allowENoteEOriginal must be true to make changes to the configuration.
organizationstringNo—The name of the organization.
passwordstringNo—The user's password. This property is used only when adding a new user via a Users: create request. The value must conform to the password rules defined in the account Security Settings. This property is not returned by GET requests and cannot be updated via PUT requests.
usernamestringNo—The user's username.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
apikeystringNo——
connectconfiguredstringNo—When false, the user must configure Connect and eOriginal for the integration to work.
enoteconfiguredstringNo—When false, the user must configure eNote for the feature to work. Note: In the account settings, allowENoteEOriginal must be true to make changes to the configuration.
organizationstringNo—The name of the organization.
passwordstringNo—The user's password. This property is used only when adding a new user via a Users: create request. The value must conform to the password rules defined in the account Security Settings. This property is not returned by GET requests and cannot be updated via PUT requests.
usernamestringNo—The user's username.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/settings/enote_configuration
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/settings/enote_configuration
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.e-note-configurations.put-e-note-configuration",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}